%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate tester

Name:           rust-tester
Version:        0.9.1
Release:    1%{?dist}
Summary:        Fork of Rust’s test crate that doesn’t require unstable language features

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tester
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A fork of Rust’s `test` crate that doesn’t require unstable language
features.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+asm_black_box-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+asm_black_box-devel %{_description}

This package contains library source intended for building other packages which
use the "asm_black_box" feature of the "%{crate}" crate.

%files       -n %{name}+asm_black_box-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capture-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capture-devel %{_description}

This package contains library source intended for building other packages which
use the "capture" feature of the "%{crate}" crate.

%files       -n %{name}+capture-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-1
- initial build
